> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sonect.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new user

> <p>Create a new user. Must pass your global (i.e. client) access_token. </p><p>This service returns the user's password as plain text. </p><p>The automatic update of the user's bank connections is disabled by default for any new user. User identifiers are regarded case-insensitive by finAPI.</p><p>Please note that finAPI generally has a restricted set of allowed characters for input fields. You can find the allowed characters <a href = "https://documentation.finapi.io/access/Allowed-Characters.2764767279.html">here</a>. If a field does not explicitly specify a set of allowed characters, then these are the characters that are allowed for the field. Some fields may specify a different set of characters, in which case this will be documented for the field (like for the 'id' field in this service).</p>



## OpenAPI

````yaml 13 post /api/v2/users
openapi: 3.0.0
info:
  title: finAPI Access Product - V2
  version: 1.0.0
servers:
  - url: http://127.0.0.1:3000
security: []
tags:
  - name: '** 1. Pre- Requirements  **'
  - name: 'Use Case 1a: Import, Update & get Account info (demo bank)'
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1a: Import, Update & get Account info (demo bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 1b:  Import, Update & get Account info (Real Bank)'
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 2. Import a
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 3. Update
      bank connection
  - name: >-
      Use Case 1b:  Import, Update & get Account info (Real Bank) > 4. Get
      Accounts & Transactions
  - name: 'Use Case 2 : Standalone payment'
  - name: 'Use Case 2 : Standalone payment > 2. Create Payment'
  - name: 'Use Case 2 : Standalone payment > 3. Check Payment Status'
  - name: 'Use Case 3 : Payment with accountId'
  - name: 'Use Case 3 : Payment with accountId > 2. Create Payment'
  - name: 'Use Case 3 : Payment with accountId > 3. Check Payment Status'
  - name: 'Use Case 4: Direct debit'
  - name: 'Use Case 4: Direct debit > 2. Create Payment'
  - name: 'Use Case 4: Direct debit > 3. Check Payment Status'
  - name: 'Use Case 5: Standing Orders'
  - name: 'Use Case 5: Standing Orders > 2. Create Payment'
  - name: 'Use Case 5: Standing Orders > 3. Check Payment Status'
  - name: '** Clean up **'
paths:
  /api/v2/users:
    post:
      tags:
        - '** 1. Pre- Requirements  **'
      summary: Create a new user
      description: >-
        <p>Create a new user. Must pass your global (i.e. client) access_token.
        </p><p>This service returns the user's password as plain text.
        </p><p>The automatic update of the user's bank connections is disabled
        by default for any new user. User identifiers are regarded
        case-insensitive by finAPI.</p><p>Please note that finAPI generally has
        a restricted set of allowed characters for input fields. You can find
        the allowed characters <a href =
        "https://documentation.finapi.io/access/Allowed-Characters.2764767279.html">here</a>.
        If a field does not explicitly specify a set of allowed characters, then
        these are the characters that are allowed for the field. Some fields may
        specify a different set of characters, in which case this will be
        documented for the field (like for the 'id' field in this service).</p>
      parameters:
        - name: X-Request-Id
          in: header
          schema:
            type: string
          description: >-
            With any API call, you can pass a request ID. The request ID can be
            an arbitrary string with up to 255 characters. Passing a longer
            string will result in an error. If you don't pass a request ID for a
            call, finAPI will generate a random ID internally. The request ID is
            always returned back in the response of a service, as a header with
            name 'X-Request-Id'. We highly recommend to always pass a
            (preferably unique) request ID, and include it into your client
            application logs whenever you make a request or receive a response
            (especially in the case of an error response). finAPI is also
            logging request IDs on its end. Having a request ID can help the
            finAPI support team to work more efficiently and solve tickets
            faster.
          example: qu
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
        - name: Accept
          in: header
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example: {}
      responses:
        '201':
          description: Successful response
          content:
            application/json: {}
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````